Index: npl/mailserver/netqmail/netqmail.SlackBuild
===================================================================
--- npl/mailserver/netqmail/netqmail.SlackBuild	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail/netqmail.SlackBuild	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -135,4 +135,7 @@
 #compile it
 cd $NAME-$VERSION
+
+# echo '#define CHKUSER_ENABLE_ALIAS_DEFAULT' >>  chkuser_settings.h || exit 1
+
 #large inode support
 sed 's/O2$/O2 -D_FILE_OFFSET_BITS=64/' conf-cc -i || exit 1
Index: npl/mailserver/netqmail/netqmail.build
===================================================================
--- npl/mailserver/netqmail/netqmail.build	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail/netqmail.build	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,1 +1,1 @@
-6360
+6363
Index: npl/mailserver/netqmail/netqmail.md5
===================================================================
--- npl/mailserver/netqmail/netqmail.md5	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail/netqmail.md5	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,5 +1,5 @@
 26c95bd8faca909f3432c1aa55f251b6  ./netqmail-1.06.tar
-78fca5e9eaf7645a28be22551742aab7  ./netqmail.pkg
-c6ddf5614862cfb5bd379bd594cbfe0e  ./netqmail.SlackBuild
-ea63baa0dfcc679451ab16a93c550e14  ./netqmail.SlackBuild.log.gz
+fc09f10879e8fd10880d136de5b51a87  ./netqmail.pkg
+24b173c1fdd1a05abfbd48a6ccba56f4  ./netqmail.SlackBuild
+584232cea7d0ecd5691041e5973edac9  ./netqmail.SlackBuild.log.gz
 2fbc85fee68c868ba2a45e7e84a138b7  ./roberto-netqmail-1.06.patch-latest
Index: npl/mailserver/netqmail_conf/netqmail_conf.build
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.build	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/netqmail_conf.build	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,1 +1,1 @@
-12
+44
Index: npl/mailserver/netqmail_conf/netqmail_conf.md5
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.md5	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/netqmail_conf.md5	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,6 +1,6 @@
-a83917f02f1e85d479845f7320f0dae7  ./netqmail_conf.pkg
+4a3ea1f245ba89dbd4c44d7b173fa573  ./netqmail_conf.pkg
 f4f9e3673e49bd56810ee75e666f51a0  ./netqmail_conf.SlackBuild
-645660c303d54a7f7bb3a8e353d1c2da  ./netqmail_conf.SlackBuild.log.gz
-2a672ffe56f6e7145f57531c29299a81  ./root/etc/postinst.d/post.qmail_conf
+9051cc6545cbb773b6a114d4d6015b3e  ./netqmail_conf.SlackBuild.log.gz
+5bdd6ee187432550f75b30b467f6d2c3  ./root/etc/postinst.d/post.qmail_conf
 efed79f2f7840be05415132dd99e005a  ./root/etc/qmail.permissions
 a781066c2d8b2e42e4eae0cd0545391b  ./root/etc/qmail.rc.config
@@ -8,16 +8,24 @@
 1dcca23355272056f04fe8bf20edfce0  ./root/home/system/qmail/control/concurrencyincoming.new
 d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/control/defaultdomain.new
+919d117956d3135c4c683ff021352f5c  ./root/home/system/qmail/control/maxrcpt.new
 2909a2c64757ce93daa60e3cfc653ef1  ./root/home/system/qmail/control/qmqpservers.new
 d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/control/rcpthosts.new
+063221b732091cd47898d4f4de0d3a86  ./root/home/system/qmail/control/relaylimits.new
+7f06a0bdfe40105eb7150c89ca23fe0a  ./root/home/system/qmail/control/softlimit.new
+6d7fce9fee471194aa8b5b6e47267f03  ./root/home/system/qmail/control/spfbehavior.new
 d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/control/virtualdomains.new
 d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/queue/lock/sendmutex
 0f343b0931126a20f133d67c2b018a3b  ./root/home/system/qmail/queue/lock/tcpto
-18b654d9240fe02239158602ca741e11  ./root/home/system/qmail/tcp.smtp.new
+5e6055ce99316030e416d8f7243e99cd  ./root/home/system/qmail/tcp.smtp.new
+0361f8191be2fc0c7a64208973181e81  ./root/home/system/qmail/tcp.submission.new
 c373bf047e4be7894e0eb539ecade81e  ./root/home/system/qmail/users/assign.new
 a85ddde2346842cfb84c449322334cf6  ./root/usr/bin/syn3-dagent
 997aa1db669e5946bc88187056e5983e  ./root/var/qmail/bin/qmailctl
-f111ffdeddc4e3608dcfe1a23aea575e  ./root/var/qmail/rc
-834dad5113515d0f00981fdc1d07fa84  ./root/var/qmail/supervise/qmail-send/log/run
-3af893d1db453aa180125cb7678d9f4c  ./root/var/qmail/supervise/qmail-send/run
-f43900d79a0aacb5e0d71b0bb6c06fea  ./root/var/qmail/supervise/qmail-smtpd/log/run
-dbafd2aadce02c19799a16ed00fc01dd  ./root/var/qmail/supervise/qmail-smtpd/run
+d219929668d14245324a90cc8889a953  ./root/var/qmail/bin/rcptcheck-overlimit.sh
+b6d113884ec042aa912297837d7e1711  ./root/var/qmail/rc
+d2264d4a1eb480b446148386491d6d96  ./root/var/qmail/supervise/qmail-send/log/run
+ce8344b9f086b8d80deedd97999af4a2  ./root/var/qmail/supervise/qmail-send/run
+664eb748dcf70763bbb8af153a60f4fc  ./root/var/qmail/supervise/qmail-smtpd/log/run
+d1b75635cf714be5a03ae4b559eabff7  ./root/var/qmail/supervise/qmail-smtpd/run
+0c00964a4500bb13bcba905b59954802  ./root/var/qmail/supervise/qmail-submission/log/run
+00df93e4a56a546880039677deb50a30  ./root/var/qmail/supervise/qmail-submission/run
Index: npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf
===================================================================
--- npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -37,12 +37,12 @@
 
 
+# logging via syslog in /var/log/maillog from now on
+rm -rf /var/log/qmail/
+
+
 # permissions
 . /etc/qmail.permissions
 qmail_permissions
-cd /var/log/qmail
-chown -R qmaill.nofiles .
-chgrp root .
-chmod -R og-wrx .
-chmod g+rx .
+
 
 #stuff
@@ -61,5 +61,18 @@
 #regenerate cdb
 tcprules /etc/qmail/tcp.smtp.cdb /etc/qmail/tcp.smtp.tmp < /etc/qmail/tcp.smtp
+tcprules /etc/qmail/tcp.submission.cdb /etc/qmail/tcp.submission.tmp < /etc/qmail/tcp.submission
+
+
+#TLS configuration
+if ! [ -e /var/qmail/control/dh1024.pem ]; then
+    openssl dhparam -out /var/qmail/control/dh1024.pem.tmp 1024 || exit 1
+    chown qmaild /var/qmail/control/dh1024.pem.tmp || exit 1
+    chmod 400 /var/qmail/control/dh1024.pem.tmp || exit 1
+    mv /var/qmail/control/dh1024.pem.tmp /var/qmail/control/dh1024.pem || exit 1
+fi
+
+
+
 
 #enable scripts (x is disble to prevent starting up after first installation of binary)
-chmod +x /service/qmail-smtpd/run /service/qmail-send/run /service/qmail-send/log/run /service/qmail-smtpd/log/run
+chmod +x /service/qmail-smtpd/run /service/qmail-send/run /service/qmail-send/log/run /service/qmail-smtpd/log/run /service/qmail-submission/run /service/qmail-submission/log/run
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/maxrcpt.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/maxrcpt.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/maxrcpt.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+100
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/relaylimits.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/relaylimits.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/relaylimits.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+#:1000
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/softlimit.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/softlimit.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/softlimit.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+150000000
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/spfbehavior.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/spfbehavior.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/spfbehavior.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+3
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -20,3 +20,3 @@
 192.168.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
 10.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
-:allow,QMAILQUEUE="bin/qmail-qmqpc"
+:allow,QMAILQUEUE="bin/qmail-qmqpc",CHKUSER_WRONGRCPTLIMIT="3"
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.submission.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.submission.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.submission.new	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+:allow,QMAILQUEUE="bin/qmail-qmqpc",CHKUSER_WRONGRCPTLIMIT="3"
Index: npl/mailserver/netqmail_conf/root/service/qmail-submission
===================================================================
--- npl/mailserver/netqmail_conf/root/service/qmail-submission	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/service/qmail-submission	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+/var/qmail/supervise/qmail-submission
Index: npl/mailserver/netqmail_conf/root/var/qmail/bin/rcptcheck-overlimit.sh
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/bin/rcptcheck-overlimit.sh	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/var/qmail/bin/rcptcheck-overlimit.sh	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,76 @@
+#!/bin/bash
+# rcptcheck-overlimit v0.3
+# Digitalmind 2017-08-23
+# This script limits the number of emails sent by relayclients (authusers or ip with RELAYCLIENT in tcprules)
+# You must define the variable RCPTCHECK=/var/qmail/bin/rcptcheck-overlimit.sh AND RCPTCHECKRELAYCLIENT="1"
+# This script will be called for every accepted rcptto.
+# If RELAYCLIENT is not defined the script terminates with the exit code 112 (ignore/accept).
+# Messages sent to domains in rcpthosts will NOT be accounted for.
+# For every accepted rcptto with RELAYCLIENT defined, a char 'X' will be appended to a file in the directory $OVERLIMITDIR;
+# this file name will be the authuser, if defined, or  the client ip address.
+# The script will look for an entry corresponding to the client (authuser or ip) in $LIMITSCONTROLFILE and use the number found
+# as the maximum number of allowed outgoing emails.
+# If the OVERLIMITDIR is not writable by the user running qmail-smtpd or the LIMITSCONTROLFILE cannot be read, the script terminates with 112 (ignore/accept).
+# In case of overlimit, an exit code 113 (reject/overlimit) will be returned to qmail-smtpd and the connection will be dropped with a 421.
+# $LIMITSCONTROLFILEFILE can contain comments, '0' means unlimited, the entry starting with ':' will be considered the default limit.
+# If the default entry can't be found, the default will be set to unlimited.
+# In case more lines match the client name, only the last will be used.
+# A cronjob must be created to periodically cleanup files in $OVERLIMITDIR: to use daily limits, schedule the job once a day.
+#
+# Cronjob example:
+#   # find /var/qmail/overlimit/ -type f -exec rm -f "{}" \;
+#
+# $LIMITSCONTROLFILE example:
+# -----
+#:1000
+#1.2.3.4:3000
+#test@example.com:0
+# -----
+# Known bugs:
+# - the line 'info@example.com:1000' also matches the client name 'testinfo@example.com'.
+
+EXITIGNORE=112
+EXITOVERLIMIT=113
+
+LIMITSCONTROLFILE=/var/qmail/control/relaylimits
+OVERLIMITDIR=/var/qmail/overlimit
+DEBUGLOG=/var/log/overlimit/debug.log
+
+if [ -z "${RELAYCLIENT+x}" ]; then exit $EXITIGNORE; fi
+if [ ! -r "$LIMITSCONTROLFILE" ]; then exit $EXITIGNORE; fi
+if [ ! -w "$OVERLIMITDIR" ]; then exit $EXITIGNORE; fi
+
+# Read config file removing comments, blank lines, spaces and tabs
+PREFILTER="sed -e 's/#.*$//g' -e '/^$/d' -e 's/[ \t]*//g' $LIMITSCONTROLFILE"
+
+# SMTPAUTHUSER should be already validated, but just to be safe leave only alphanum, -.', '_', '-' and '@'
+FILTEREDSMTPAUTHUSER=$(echo "$SMTPAUTHUSER" | tr -cd '[:alnum:].-_@')
+
+if [ -n "${RCPTHOSTS}" ]; then
+  logger -t qmail-overlimit -p mail.info "RELAYCLIENT and RCPTHOSTS: mailfrom=$SENDER rcptto=$RECIPIENT authuser=${FILTEREDAUTHUSER} remoteip=${TCPREMOTEIP}"
+  exit $EXITIGNORE
+fi
+
+if [ -n "${FILTEREDSMTPAUTHUSER}" ]; then
+  value=$(eval ${PREFILTER} | grep -Fi "$FILTEREDSMTPAUTHUSER:" | tail -1); limit="${value##*:}" # specific authuser
+  ##if [ -z "${limit}" ]; then value=$(eval ${PREFILTER} | grep -Fi "${FILTEREDSMTPAUTHUSER##*@}:" | tail -1); limit="${value##*:}"; fi # domain part
+  client="${FILTEREDSMTPAUTHUSER}"
+else
+  value=$(eval ${PREFILTER} | grep -Fi "$TCPREMOTEIP:" | tail -1); limit="${value##*:}" # specific ip address
+  client="${TCPREMOTEIP}"
+fi
+if [ -z "${limit}" ]; then value=$(eval ${PREFILTER} | grep "^:" | tail -1); limit="${value##*:}"; fi  # default ':value'
+if [ -z "${limit}" ]; then limit=0; fi # if nothing else
+
+currentnum=$(stat -c%s $OVERLIMITDIR/$client 2>/dev/null)
+if [ -z "$currentnum" ]; then currentnum=1; fi
+
+logger -t qmail-overlimit -p mail.info "client=$client limit=$limit current=$currentnum"
+
+if [ "$currentnum" -gt "$limit" ] && [ "$limit" -ne "0" ]; then
+  logger -t qmail-overlimit -p mail.info "REJECTED $client "
+  exit $EXITOVERLIMIT
+else
+  echo -n "X" >> "$OVERLIMITDIR/$client" 2>/dev/null
+fi
+exit $EXITIGNORE
Index: npl/mailserver/netqmail_conf/root/var/qmail/rc
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/rc	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/root/var/qmail/rc	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,2 +1,13 @@
 #!/bin/sh
-exec env - PATH="/var/qmail/bin:$PATH" qmail-start ''  splogger qmail
+
+# Using stdout for logging
+# Using control/defaultdelivery from qmail-local to deliver messages by default
+
+# DKIM signign
+#exec env - PATH="/var/qmail/bin:$PATH" \
+#QMAILREMOTE=/var/qmail/bin/spawn-filter  \
+#FILTERARGS=/var/qmail/bin/dk-filter \
+#qmail-start "`cat /var/qmail/control/defaultdelivery`" 
+
+exec env - PATH="/var/qmail/bin:$PATH" \
+qmail-start "`cat /var/qmail/control/defaultdelivery`"
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec /usr/bin/setuidgid qmaill /usr/bin/multilog t s2500000 /var/log/qmail/qmail-send
+exec /usr/bin/setuidgid qmaill logger -t qmail-send -p mail.info
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,3 +1,5 @@
 #!/bin/sh
+exec 2>&1
+
 #dynamic update of hostname
 hostname -f > /var/qmail/control/me
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec /usr/bin/setuidgid qmaill /usr/bin/multilog t s2500000 /var/log/qmail/qmail-smtpd
+exec /usr/bin/setuidgid qmaill logger -t qmail-smtpd -p mail.info
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,16 +1,64 @@
 #!/bin/sh
+
+exec 2>&1
+
+##### OUD
+# QMAILDUID=`id -u qmaild`
+# NOFILESGID=`id -g qmaild`
+# MAXSMTPD=`cat /var/qmail/control/concurrencyincoming`
+# LOCAL=`head -1 /var/qmail/control/me`
+# if [ -z "$QMAILDUID" -o -z "$NOFILESGID" -o -z "$MAXSMTPD" -o -z "$LOCAL" ]; then
+#     echo QMAILDUID, NOFILESGID, MAXSMTPD, or LOCAL is unset in
+#     echo /var/qmail/supervise/qmail-smtpd/run
+#     exit 1
+# fi
+# if [ ! -f /var/qmail/control/rcpthosts ]; then
+#     echo "No /var/qmail/control/rcpthosts!"
+#     echo "Refusing to start SMTP listener because it'll create an open relay"
+#     exit 1
+# fi
+# exec /usr/bin/softlimit -m 150000000 /usr/bin/tcpserver -v -R -l "$LOCAL" -x /etc/qmail/tcp.smtp.cdb -c "$MAXSMTPD" -u "$QMAILDUID" -g "$NOFILESGID" 0 smtp /usr/bin/rblsmtpd -r cbl.abuseat.org -r bl.spamcop.net /usr/bin/fixcrio /var/qmail/bin/qmail-smtpd 2>&1
+######
+
 QMAILDUID=`id -u qmaild`
 NOFILESGID=`id -g qmaild`
 MAXSMTPD=`cat /var/qmail/control/concurrencyincoming`
+SOFTLIMIT=`cat /var/qmail/control/softlimit`
 LOCAL=`head -1 /var/qmail/control/me`
-if [ -z "$QMAILDUID" -o -z "$NOFILESGID" -o -z "$MAXSMTPD" -o -z "$LOCAL" ]; then
-    echo QMAILDUID, NOFILESGID, MAXSMTPD, or LOCAL is unset in
-    echo /var/qmail/supervise/qmail-smtpd/run
-    exit 1
-fi
-if [ ! -f /var/qmail/control/rcpthosts ]; then
-    echo "No /var/qmail/control/rcpthosts!"
-    echo "Refusing to start SMTP listener because it'll create an open relay"
-    exit 1
-fi
-exec /usr/bin/softlimit -m 150000000 /usr/bin/tcpserver -v -R -l "$LOCAL" -x /etc/qmail/tcp.smtp.cdb -c "$MAXSMTPD" -u "$QMAILDUID" -g "$NOFILESGID" 0 smtp /usr/bin/rblsmtpd -r cbl.abuseat.org -r bl.spamcop.net /usr/bin/fixcrio /var/qmail/bin/qmail-smtpd 2>&1
+
+# This enables greetdelay for qmail-smtpd
+export SMTPD_GREETDELAY=20
+export DROP_PRE_GREET=1
+
+# This enables chkuser
+export CHKUSER_START=ALWAYS
+
+# DKIM - SURBL configuration
+# DKIMQUEUE and SURBLQUEUE are front-ends of qmail-queue
+#export SURBL=1                               # Comment out to enable SURBL filtering
+#export QMAILQUEUE=/var/qmail/bin/surblqueue  # executes surblfilter
+#export SURBLQUEUE=/var/qmail/bin/qmail-dkim  # executes qmail-dkim afer sublfilter
+#export DKIMQUEUE=/var/qmail/bin/simscan      # simscan is executed after qmail-dkim
+# DKIM verification. Use carefully
+#export DKIMVERIFY="FGHKLMNOQRTVWjp"
+# This is to avoid verification of outgoing messages
+#export RELAYCLIENT_NODKIMVERIFY=1
+
+# This turns off TLS on port 25
+# export DISABLETLS="1"
+
+# Requires that authenticated user and 'mail from' are identical
+#export FORCEAUTHMAILFROM="1"
+
+# rcptcheck-overlimit. Limits the number of emails sent by relayclients
+export RCPTCHECK=/var/qmail/bin/rcptcheck-overlimit.sh
+export RCPTCHECKRELAYCLIENT="1"
+
+# This enables simscan debug
+#export SIMSCAN_DEBUG=4
+
+exec /usr/bin/softlimit -m "$SOFTLIMIT" \
+    /usr/bin/tcpserver -v -H -R -l "$LOCAL" \
+    -x /etc/qmail/tcp.smtp.cdb -c "$MAXSMTPD" \
+    -u "$QMAILDUID" -g "$NOFILESGID" 0 25 \
+    /var/qmail/bin/qmail-smtpd 2>&1
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/log/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/log/run	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/log/run	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/setuidgid qmaill logger -t qmail-submission -p mail.info
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/run	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/run	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+exec 2>&1
+
+QMAILDUID=`id -u qmaild`
+NOFILESGID=`id -g qmaild`
+MAXSMTPD=`cat /var/qmail/control/concurrencyincoming`
+SOFTLIMIT=`cat /var/qmail/control/softlimit`
+LOCAL=`head -1 /var/qmail/control/me`
+
+# You MUST export this, otherwise you'd get a 30 sec timeout
+# "!" if you want the submission feature (auth required)
+export SMTPAUTH="!"
+
+# This enables greetdelay for qmail-smtpd.
+export SMTPD_GREETDELAY=3
+export DROP_PRE_GREET=1
+
+# This enables chkuser
+export CHKUSER_START=ALWAYS
+
+# This makes qmail to allow connections without TLS (default 1)
+#export FORCETLS=0
+
+# This turns off TLS on port 587 (default 0)
+#export DISABLETLS=1
+
+# Requires that authenticated user and 'mail from' are identical (default 0)
+# export FORCEAUTHMAILFROM=1
+
+# rcptcheck-overlimit. Limits the number of emails sent by relayclients
+#export RCPTCHECK=/var/qmail/bin/rcptcheck-overlimit.sh
+#export RCPTCHECKRELAYCLIENT=1
+
+exec /usr/bin/softlimit -m "$SOFTLIMIT" \
+    /usr/bin/tcpserver -v -H -R -l "$LOCAL" \
+    -x /etc/qmail/tcp.submission.cdb -c "$MAXSMTPD" \
+    -u "$QMAILDUID" -g "$NOFILESGID" 0 587 \
+    /var/qmail/bin/qmail-smtpd \
+    /usr/bin/checkpassword-pam -H --noenv -s qmail 2>&1
Index: npl/mailserver/vpopmail/vpopmail.SlackBuild
===================================================================
--- npl/mailserver/vpopmail/vpopmail.SlackBuild	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/vpopmail/vpopmail.SlackBuild	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -4,5 +4,5 @@
 ##DEP:..
 #NEED:netqmail
-#DEP:openldap
+##DEP:openldap
 
 
@@ -59,8 +59,6 @@
         --enable-qmail-newmrh=/var/qmail/bin/qmail-newmrh \
         --disable-roaming-users \
-        --enable-incdir=/usr/include/mysql \
-        --enable-libdir=/usr/lib64 \
+        --enable-libdir=/usr/lib \
         --enable-logging=p \
-		--enable-auth-module=ldap \
         --disable-clear-passwd \
         --enable-auth-logging \
Index: npl/mailserver/vpopmail/vpopmail.build
===================================================================
--- npl/mailserver/vpopmail/vpopmail.build	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/vpopmail/vpopmail.build	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,1 +1,1 @@
-1
+3
Index: l/mailserver/vpopmail/vpopmail.depver
===================================================================
--- npl/mailserver/vpopmail/vpopmail.depver	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ 	(revision )
@@ -1,1 +1,0 @@
-openldap	1
Index: npl/mailserver/vpopmail/vpopmail.md5
===================================================================
--- npl/mailserver/vpopmail/vpopmail.md5	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/vpopmail/vpopmail.md5	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,5 +1,5 @@
 0b5c8febc20f543d2ad835f3f789a9fc  ./vpopmail-5.4.33.tar.gz
-125274ad693c912a86cff7751b6799e2  ./vpopmail_dev.pkg
-307430e3eb7b9e4f1401c6976b8a392d  ./vpopmail.pkg
-5dc50fc2b8e315e02bc58a174c6e0da0  ./vpopmail.SlackBuild
-f4ae815186132f4a8b1d6f3e45f63209  ./vpopmail.SlackBuild.log.gz
+027c54871b165377c218eb875e664883  ./vpopmail_dev.pkg
+2cabb116fa7175ec8e486c5e17d809be  ./vpopmail.pkg
+34c7dfd742f4608cdc663b3dc6ac6f32  ./vpopmail.SlackBuild
+26ee8ff81c125982c255e2d684609475  ./vpopmail.SlackBuild.log.gz
Index: npl/mailserver/vpopmail/vpopmail_dev.build
===================================================================
--- npl/mailserver/vpopmail/vpopmail_dev.build	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/mailserver/vpopmail/vpopmail_dev.build	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -1,1 +1,1 @@
-1
+3
Index: npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+#DEP:Linux_PAM
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/checkpassword_pam/checkpassword_pam.arch
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.arch	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/overig/checkpassword_pam/checkpassword_pam.arch	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/checkpassword_pam/checkpassword_pam.build
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.build	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/overig/checkpassword_pam/checkpassword_pam.build	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/checkpassword_pam/checkpassword_pam.depver
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.depver	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/overig/checkpassword_pam/checkpassword_pam.depver	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+Linux_PAM	1
Index: npl/overig/checkpassword_pam/checkpassword_pam.md5
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.md5	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/overig/checkpassword_pam/checkpassword_pam.md5	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,4 @@
+4db3b5f287010ebb4c6e6f3a6c64ce3f  ./checkpassword-pam-0.99.zip
+f3c073ce0798ac5095cd041c6c510362  ./checkpassword_pam.pkg
+6db126a5a8042ef345c64e824a325882  ./checkpassword_pam.SlackBuild
+f227464aad25025b0535c5e6fee3802e  ./checkpassword_pam.SlackBuild.log.gz
Index: npl/overig/checkpassword_pam/checkpassword_pam.version
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.version	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/overig/checkpassword_pam/checkpassword_pam.version	(revision cd8630be6536b27ae1c762184795ee87723202ab)
@@ -0,0 +1,1 @@
+0.99
